System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ComponentModel.DescriptionAttribute System.AttributeUsage(System.AttributeTargets.All)

For more information about using attributes, see [<topic://cpconExtendingMetadataUsingAttributes>].

Sets the description visual designers can display when referencing an event, extender, or property.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  For more information about using attributes, see [<topic://cpconExtendingMetadataUsingAttributes>].

  Initializes a new instance of the class.

  The description to use.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  For more information about using attributes, see [<topic://cpconExtendingMetadataUsingAttributes>].

  Gets the description.